Bug 1579507 - nodejs-base64url: Uninitialized Memory Exposure in pad-string.ts
Summary: nodejs-base64url: Uninitialized Memory Exposure in pad-string.ts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1579511 1582592
Blocks: 1579508
TreeView+ depends on / blocked
 
Reported: 2018-05-17 20:01 UTC by Laura Pardo
Modified: 2019-09-29 14:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:23:24 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-17 20:01:59 UTC
A flaw was found in base64url. An Uninitialized Memory Exposure in pad-string.ts file allows an attacker to extract sensitive data from uninitialized memory or may cause a Denial of Service (DoS) by passing in a large number, in setups where typed user input can be passed (e.g. from JSON).On Node.js 4.x and below (4.x is still supported), this exposes uninitialized memory, which could contain sensitive data. This can be also used to cause a DoS by consuming the memory when large numbers are passed on input.


References:
https://snyk.io/vuln/npm:base64url:20180511
https://hackerone.com/reports/321687

Patch:
https://github.com/brianloveswords/base64url/commit/4355cb294123e86171daa9389f7afe6d2b2b9dae

Comment 1 Laura Pardo 2018-05-17 20:12:00 UTC
Created nodejs-base64-url tracking bugs for this issue:

Affects: fedora-all [bug 1579511]

Comment 3 Jason Shepherd 2018-06-13 21:31:19 UTC
NodeJS is shipped in Openshift Enterprise 3.9 as ImageStreams. Those ImageStreams are the RH Software Collection images. Setting Openshift Enterprise 3 as not affected.


Note You need to log in before you can comment on or make changes to this bug.